﻿using System;
using System.Data;
using GrapeCity.Documents.Excel;

namespace GcExcelDemo
{
    class MainClass
    {
        public static void Main(string[] args)
        {
            var workbook = new GrapeCity.Documents.Excel.Workbook();
            workbook.Open(@"../../source.xlsx");
            IWorksheet worksheet = workbook.Worksheets[0];
            IRange range = worksheet.Range["A1:B11"];
            DataTable dt = new DataTable();
            for(int i = 0; i < range.ColumnCount; i++)
            {
                dt.Columns.Add(range.Cells[0,i].Value.ToString(),typeof(Object));
            }

            for (int i = 1; i < range.RowCount; i++)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < range.ColumnCount; j++)
                {
                    dr[j] = range.Cells[i, j].Value.ToString();
                }
                dt.Rows.Add(dr);
            }
        }
    }
}
